E-MailRelay

Classes | Namespaces
gsmtpclient.h File Reference
`#include "gdef.h"`
`#include "glocation.h"`
`#include "gsecrets.h"`
`#include "glinebuffer.h"`
`#include "gclient.h"`
`#include "gsmtpclientprotocol.h"`
`#include "gmessagestore.h"`
`#include "gstoredmessage.h"`
`#include "gfilter.h"`
`#include "gfilterfactory.h"`
`#include "gcall.h"`
`#include "gsocket.h"`
`#include "gslot.h"`
`#include "gtimer.h"`
`#include "gstrings.h"`
`#include "gexception.h"`
`#include <memory>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | GSmtp::Client
| A class which acts as an SMTP client, extracting messages from a message store and forwarding them to a remote SMTP server. More...
struct | GSmtp::Client::Config
| A structure containing GSmtp::Client configuration parameters. More...

## Namespaces
namespace | GSmtp
| SMTP and message-store classes.